# Command Palette

Bring the power of text editor command palette to WordPress Admin.

[![travis](https://img.shields.io/travis/com/dinhtungdu/command-palette?style=flat-square)](https://travis-ci.com/dinhtungdu/command-palette)
[![codecov](https://img.shields.io/codecov/c/gh/dinhtungdu/command-palette?style=flat-square)](https://codecov.io/gh/dinhtungdu/command-palette)
[![scrutinizer](https://img.shields.io/scrutinizer/quality/g/dinhtungdu/command-palette?style=flat-square)](https://scrutinizer-ci.com/g/dinhtungdu/command-palette/)

![Command Platte Preview](https://ps.w.org/command-palette/assets/banner-1544x500.png)

## Description

Command Platte brings the power of text editor command platte to the WordPress admin area. This plugin adds a modal live search box with a nice looking list of WordPress admin content, which saves your times and clicks.

### Features

* Use fuzzy search to get exact items you want with fewer keystrokes.
* Navigate through the list of items by using up and down keys.
* Search and go directly to any WordPress admin pages.
* Perform WordPress related actions like Update permalink, update WordPress core...
* Customizable. Custom pages and actions can be added via filters.

## Installation

Follow these steps to install and use the plugin:

1. Upload the plugin files to the `/wp-content/plugins/command-palette` directory, or install the plugin through the WordPress plugins screen directly.
2. Activate the plugin through the 'Plugins' screen in WordPress.
3. Press Shift two times ( or Cmd/Ctrl + Shift + P ) to open the command palette modal.

## Development

Clone/fork this repository.
```
cd command-palette
npm start
```

## Running tests

This project uses `phpunit` to write and run unit tests. PHPUnit will be installed with `npm start` in the step above. To run `phpunit`:

```
cd command-palette
./vendor/bin/phpunit
```
## Roadmap

See the [open issues](https://github.com/dinhtungdu/command-palette/issues) for a list of proposed features (and known issues).

## Contributing

Contributions are what make the open source community such an amazing place to be learn, inspire, and create. Any contributions you make are **greatly appreciated**.

1. Fork the Project
2. Create your Feature Branch (`git checkout -b /ddAmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin add/AmazingFeature`)
5. Open a Pull Request

## Versioning

We use [SemVer](http://semver.org/) for versioning. For the versions available, see the [tags on this repository](https://github.com/dinhtungdu/command-palette/tags). 

## Authors

* **Tung Du** - *Initial work* - [dinhtungdu](https://github.com/dinhtungdu)

See also the list of [contributors](https://github.com/dinhtungdu/command-palette/contributors) who participated in this project.

## License

This project is licensed under the GNU General Public License v3.0 - see this [link](http://www.gnu.org/licenses/gpl-3.0.html) for details.
